/***************************************************************************
 *            contactsselection.h
 *
 *  Tue Jun  7 02:30:03 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

#ifndef _CONTACTSSELECTION_H
#define _CONTACTSSELECTION_H

#include "icons.h"
#include "contactlist.h"
#include "imownerdaemon.h"
#include "userutilities.h"
#include "gettext.h"

class ContactsSelection
{
	public:
		IMContactList *contacts;
		GtkWidget	*widget,
					*okayButton;
		GList		*selectedEntries;	
	
		ContactsSelection(IMUserDaemon *selectedUser, ContactViewType viewType = (ContactViewType)(CVIEW_GROUPS|CVIEW_NOEMPTYGROUPS));
		~ContactsSelection();
		GList* getSelectedEntries();
	
	private:
		GtkWidget	*selectAllButton,
					*selectNoneButton;
};

#endif /* _CONTACTSSELECTION_H */
