/***************************************************************************
 *            processingani.h
 *
 *  Wed May 12 01:50:55 2004
 *  Copyright  2004  User
 *  Email
 * 
 * Basic animation that is seen whenever the user sends or gets data
 ****************************************************************************/

#ifndef _PROCESSINGANI_H
#define _PROCESSINGANI_H

#include <gtk/gtk.h>
#include <gdk/gdk.h>


typedef class ProcessingAni
{
	public:
		GtkWidget				*widget,			// the widget to put into the window
								*ani;				// the animation inside the frame
		GdkPixbufAnimation		*aniframes;			// the animation widget
		GdkPixbufAnimationIter	*iter;				// the iteration for this animation
		gboolean   				isplaying;			// animation playing?
		GTimeVal				curframe;
		gint					dur,
								width,
								height;
		guint					timeoutID;
	
		ProcessingAni();
		~ProcessingAni();
		gboolean setupAnimation(GdkPixbufAnimation* baseAni, gint _width, gint _height);
		void play();
		void stop();
		gboolean processNextFrame();
};


gboolean PAplayAnimation(ProcessingAni* ani);

#endif /* _PROCESSINGANI_H */
