/***************************************************************************
 *            securitywindow.h
 *
 *  Thu May 19 01:40:02 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

#ifndef _SECURITYWINDOW_H
#define _SECURITYWINDOW_H

#include "icons.h"
#include "basicwindow.h"
#include "processingani.h"
#include "settings.h"
#include "utilities.h"
#include "gettext.h"

class SecurityWindow: public BasicWindow
{
	public:
		SecurityWindow();
		~SecurityWindow();
	
	private:
		ProcessingAni	*waitAni;
		GtkWidget		*sendButton,
						*closeButton,
						*statusInfo;	
	
		void		startOpenChannel();
		void		stopOpenChannel();
	
	
		GtkWidget	*createButtonbar();
	
		GtkWidget	*createWindowContent();
		void		destroyWindowContent();
		gboolean	eventCallback(gint command, gint lastResult, gpointer info);
	
		void		escPressed();
	
		// callbacks
		static void cb_sendButtonClicked(SecurityWindow* self);
		static void cb_closeButtonClicked(SecurityWindow* self);
};


#endif /* _SECURITYWINDOW_H */
