/***************************************************************************
 *            listswindow.h
 *
 *  Sun Nov 13 16:48:17 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

#ifndef _LISTSWINDOW_H
#define _LISTSWINDOW_H

#include "basicwindow.h"
#include "imuserdaemon.h"
#include "imownerdaemon.h"

class ListsWindow: public BasicWindow
{
	public:
		ListsWindow(gpointer _owner);
		~ListsWindow();
	
		void recreateWindow();
		
	private:
		gpointer		owner;
		GtkTreeStore	*groupsStore,
						*modesStore;

		GtkWidget		*groupsView,
						*modesView,
						*notebookContainer;
	
		GtkWidget	*createWindowContent();
		void		destroyWindowContent();
			
		GtkWidget	*createUsersList();
		GtkWidget	*createButtonbar();
	
		void		fillUserLists();
	
	
		static void cb_itemToggled(GtkCellRenderer* renderer, gchar* path, ListsWindow* self);
		static void cb_editGroupsButtonClicked(ListsWindow* self);
		static void cb_applyButtonClicked(ListsWindow* self);
};


#endif /* _LISTSWINDOW_H */
