/***************************************************************************
 *            systemcharset.h
 *
 *  Sat Jul 24 01:15:35 2004
 *  Copyright  2004  User
 *  Email
 ****************************************************************************/

#ifndef _SYSTEMCHARSET_H
#define _SYSTEMCHARSET_H

#include <gtk/gtk.h>
#include <iostream>
#include <string.h>
#include "gettext.h"
#include "settings.h"

typedef struct CharsetType
{
	gchar	*name,
			*id;
	guchar	number,
			order;
};

gchar* convertToSystemCharset(gchar* toconvert, gchar* charset, gsize* bytesWritten = NULL);
gchar* convertFromSystemCharset(gchar* toconvert, gchar* charset, gsize* bytesWritten = NULL);

gchar* localeToSystemCharset(gchar* toconvert);
gchar* systemCharsetToLocale(gchar* toconvert);

CharsetType* charset_getCharsetList();
CharsetType* charset_findCharsetById(gchar* id);
CharsetType* charset_findCharsetByNumber(guchar number);

#endif /* _SYSTEMCHARSET_H */
